ulti-viewer :unresolved:after{padding:15px;content:'loading...';color:#ccc;}

/*ulti-viewer:-webkit-full-screen 
  {
    width:100% !important;
    height:100% !important;
    left:0px !important;
    top:0px !important;
  } */

/*for resource loader*/

ulti-viewer /deep/ .resourceLoader{
}

ulti-viewer /deep/ .resourceLoader ul{
margin: 0 auto;list-style:none;padding:0;
background:white;
}


ulti-viewer /deep/ .resourceLoader span{
margin: 0 auto;padding:0;
background:white;
}

ulti-viewer /deep/ progress-text {
  background:white;
  width: 100%;
  position:absolute;
  display: block;
  margin-left: auto;
  margin-right: auto;
  z-index:14;
  text-align:center;
}

/*for camera controls*/

ulti-viewer /deep/ view-navigator{
  position:absolute;top:22px;left:13px;color:white;z-index:15;pointer-events:all;
}

ulti-viewer /deep/ view-navigator /deep/ label{
  text-indent:100%;white-space:nowrap;overflow:hidden; 
}
  
ulti-viewer /deep/ view-navigator /deep/ button{
  background:transparent;color:white;height:24px;width:24px;display:inline-block;padding:0;border:none;font-weight:bold;
} 

ulti-viewer /deep/ view-navigator /deep/ button+label>span{display:none;}

ulti-viewer /deep/ view-navigator /deep/ button>label{display:none;}
 
ulti-viewer /deep/ view-navigator /deep/ table{text-align:center;border-collapse:collapse;background:#494949;margin:7px 0 0 35px;width:50px;height:50px;-webkit-transform:rotate(-45deg);-moz-transform:rotate(-45deg);-ms-transform:rotate(-45deg);-o-transform:rotate(-45deg);transform:rotate(-45deg);-webkit-transform-origin:0 100%;-moz-transform-origin:0 100%;-ms-transform-origin:0 100%;-o-transform-origin:0 100%;transform-origin:0 100%;}


ulti-viewer /deep/ view-navigator /deep/ table tbody{display:block;margin:-11px;-webkit-transform:rotate(45deg);-moz-transform:rotate(45deg);-ms-transform:rotate(45deg);-o-transform:rotate(45deg);transform:rotate(45deg);}

ulti-viewer /deep/ view-navigator /deep/ table th,ulti-viewer /deep/ view-navigator table td{padding:0;}

ulti-viewer /deep/ view-navigator /deep/ table #rotateLeft:before{content:"\f0d9";}

ulti-viewer /deep/ view-navigator /deep/ table #rotateRight:before{content:"\f0da";}

ulti-viewer /deep/ view-navigator /deep/ table #rotateUp:before{content:"\f0d8";}

ulti-viewer /deep/ view-navigator /deep/ table #rotateDown:before{content:"\f0d7";}

ulti-viewer /deep/ view-navigator /deep/ table #resetView:before{color:#4ebcf6;content:"\f015";}

ulti-viewer /deep/ view-navigator /deep/ #zoomIn,ulti-viewer /deep/ view-navigator /deep/ #zoomOut{position:absolute;left:23px;top:67px;background:#494949;}
ulti-viewer /deep/ view-navigator /deep/ #zoomIn:before,ulti-viewer /deep/ view-navigator /deep/ #zoomOut:before{font-size:18px;content:"+";}
ulti-viewer /deep/ view-navigator /deep/ #zoomIn:hover:before,ulti-viewer /deep/ view-navigator /deep/ #zoomOut:hover:before{color:#4ebcf6;}
ulti-viewer /deep/ view-navigator /deep/ #zoomOut{top:92px;}
ulti-viewer /deep/ view-navigator /deep/ #zoomOut:before{content:"-";}


ulti-viewer /deep/ view-navigator /deep/ table #rotateLeft:before,ulti-viewer /deep/ view-navigator /deep/ table #rotateRight:before,ulti-viewer /deep/ view-navigator /deep/ table #rotateUp:before,ulti-viewer /deep/ view-navigator /deep/ table #rotateDown:before,ulti-viewer /deep/ view-navigator /deep/ table #resetView:before{color:#fff;font-family:'FontAwesome';font-size:18px}

ulti-viewer /deep/ view-navigator /deep/ table #rotateLeft:hover:before,ulti-viewer /deep/ view-navigator /deep/ table #rotateRight:hover:before,ulti-viewer /deep/ view-navigator /deep/ table #rotateUp:hover:before,ulti-viewer /deep/ view-navigator /deep/ table #rotateDown:hover:before,ulti-viewer /deep/ view-navigator /deep/ table #resetView:hover:before{color:#4ebcf6;}



/* for view controls*/

ulti-viewer /deep/ view-settings {

  /*left:300px;
  width:100px;
  height:100px;
  z-index:12;
  position:absolute;*/
  position:relative;float:right;top:8px;right:13px;
  /*height:108px;*/
  height:100%;
  overflow:hidden;z-index:15;pointer-events:all;
}

ulti-viewer /deep/ view-settings /deep/ input[type=checkbox]{
  display: none;
}


ulti-viewer /deep/ view-settings /deep/ .viewSettings{
  width:30px;
}


ulti-viewer /deep/ view-settings /deep/ input[type="checkbox"]{display:none;}
/*ulti-viewer /deep/ view-settings /deep/ input[type="checkbox"]:checked+label:before{content:"\f066";}*/
ulti-viewer /deep/ view-settings /deep/ input[type="checkbox"]:checked+label:before{content:"";}

ulti-viewer /deep/ view-settings /deep/ input[type=checkbox]+label>span{display:none;}
ulti-viewer /deep/ view-settings /deep/ input[type=checkbox]+label>span{
  text-align:right;margin-left:20px;
}
ulti-viewer /deep/ view-settings /deep/ input[type="checkbox"]+label{
background:#494949;color:white;height:16px;width:16px;display:inline-block;padding:0px;text-align:center;line-height:16px;
margin:1px;
margin-left: 5px;
}

ulti-viewer /deep/ view-settings /deep/ input[type="checkbox"]:checked+label{
background:#17a9f5;color:white;height:16px;width:16px;display:inline-block;padding:0px;text-align:center;line-height:16px;
}

/*
ulti-viewer /deep/ view-settings /deep/ input[type="checkbox"]+label:before{
font-family:'FontAwesome';font-size:12px;content:"\f10c";}

ulti-viewer /deep/ view-settings /deep/ input[type="checkbox"]:checked+label:before{font-family:'FontAwesome';font-size:12px;content:"\f111";color:#17a9f5;}*/


/*fullscreen button*/

ulti-viewer /deep/ view-settings /deep/ input.fullScreen[type=checkbox]+label{
  position:absolute;
  bottom:20px;
  margin:0px;
}
ulti-viewer /deep/ view-settings /deep/ input.fullScreen[type=checkbox]+label{background:#494949;height:29px;width:29px;display:inline-block;line-height:30px;text-align:center;}

ulti-viewer /deep/ view-settings /deep/ input.fullScreen[type=checkbox]+label{background:#494949;height:29px;width:29px;display:inline-block;line-height:30px;text-align:center;}
ulti-viewer /deep/ view-settings /deep/ input.fullScreen[type="checkbox"]+label:hover:before{color:#4ebcf6;}
ulti-viewer /deep/ view-settings /deep/ input.fullScreen[type="checkbox"]+label:before{color:#fff;font-family:'FontAwesome';font-size:18px;content:"\f0b2";}


/*ulti-viewer /deep/ view-settings /deep/ input[type=checkbox]+label{background:#494949;height:29px;width:29px;display:inline-block;line-height:30px;text-align:center;}*/


/* old styling ?
ulti-viewer /deep/ view-settings /deep/ input[type="checkbox"]{display:none;}
ulti-viewer /deep/ view-settings /deep/ input[type="checkbox"]:checked+label:before{content:"\f066";}
*/

/*
ulti-viewer /deep/ view-settings /deep/ .polymer-ui-collapsible{margin-bottom:2px;border:1px solid black;color:#fff;background:#494949;}
ulti-viewer /deep/ view-settings /deep/ .polymer-ui-collapsible:hover{color:#4ebcf6;}
ulti-viewer /deep/ view-settings /deep/ .polymer-ui-collapsible:hover .collapsible-header-arrow{color:#4ebcf6 !important;}




ulti-viewer /deep/ view-settings /deep/ input[type=checkbox]:checked+label{background:#17a9f5;}
ulti-viewer #selectionDownload{cursor:pointer;position:absolute;left:13px;bottom:8px;width:80px;background:#494949;padding:4px 8px;color:#fff;z-index:999;}ulti-viewer #selectionDownload:hover{color:#4ebcf6;}
ulti-viewer #resourcesList{position:absolute;top:40px;right:20px;}


*/

